using UnityEngine;
using System.Collections;

public class Generator : MonoBehaviour
{
    public StateMachine sm;
    [HideInInspector]
    public Transform player;
    [Header("1D")]
    public float[] stuffSpawnTime;
    [Header("2D")]
    public Spawn2D[] stuffSpawn2D;
    private void Awake()
    {
        sm = new StateMachine(this);
    }
    private void Start()
    {
        player = GameObject.FindGameObjectWithTag("Player").transform;
    }
    private void Update()
    {
        sm.Update();
    }
    [System.Serializable]
    public struct Spawn2D
    {
       public float time;
       public float yAxis;
    }
}
